html {
    scroll-behavior: smooth;
  }
:root {
    --font-h1: 34px;
    --font-h2: 24px;
    --font-h3: 18px;
    --font-p: 18px;
}
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}



.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
line-height: 1.7;
} 


h1 {
    /* font-size: 40px ; */
    font-size: clamp(2rem, 4vw, 3rem);
    font-weight: 600;
    font-family: 'Mali', cursive;
    text-shadow: 1px 1px 1px #CCCCCC;
    
}


h2 {
    /* font-size: var(--font-h1); */
     font-size: clamp(1.75rem, 2.3vw, 2rem);
    font-family: 'Mali', cursive;
    font-weight: 600;
    line-height: 1.7;
    text-shadow: 1px 1px 1px #CCCCCC;
}

h3 {

    /* font-size: var(--font-h2); */
    font-size: clamp(1.25rem, 2vw, 1.3rem);
    font-weight: 500;
    line-height: 1.7;
    font-family: 'Mali', cursive;
    
}

 h4 {
    font-size: clamp(1.25rem, 2vw, 1.3rem);
  }


p, span {
    /* font-size: var(--font-p); */
    font-size: clamp(1rem, 1vw, 1.2rem);
    line-height: 1.7;
    color: #747474;
}




img {
    width: 100%;
}
body {
    font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
}
.container {
    max-width: 1200px;
    margin: auto;
}
.slide {
    padding-top: 60px;
    overflow: hidden;
}
.slide img {
    float: right;
    min-width: 800px;
    /* margin-right: -20px; */
}
/* .col img {
    float: left;
    max-width: 550px;
} */
.col {
    display: grid;
    grid-template-columns: 2fr 2fr;
    gap: 15px;
    /* align-items: center; */
}
.col1 {
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    margin-bottom: 1rem;
}

.col2 {
    display: grid;
    grid-template-columns: 2fr 1.5fr;
    align-items: center;
}



.bkvideo {
    width: 100%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    max-height: 620px;
}
section.bkvideo:before {
    content: '';
    background-color: #d9d9d9cc;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0px;
    right: 0px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    z-index: 90;
}
.title-video {
    position: absolute;
    border-radius: 15px;
    max-width: 1170px;
    z-index: 100;
    display: grid;
    justify-content: center;
    align-items: center;
    /* grid-template-columns: 2fr 1.5fr; */
    gap: 15px;
}
.bkvideo video {
    width: 100%;
}
form {
    /* background-color: #8b5f3e21; */
    padding: 20px 10px;
    border-radius: 10px;
    /* backdrop-filter: blur(30px);
    -webkit-backdrop-filter: blur(30px); */
}
.slidee {
    position: relative;
}
.form1 {
    /* position: absolute; */
    /* top: 50%; */
    /* right: 0;
    transform: translate(-50% ,-50%); */



}
@media (max-width: 1000px) {



    h1 {
    font-size: 34px;
    font-family: 'Mali', cursive;
    }   

    .bkvideo video {
        width: auto;
    }
    .slidee {
        display: flex;
        flex-direction: column-reverse;
        overflow: hidden;
    }
    .slidee img {
        width: 167%;
    }
    .form1 {
        margin-top: 20px;
        /* display: none; */
    }
    #sec {
        background-image: linear-gradient(93deg, rgb(255 255 255 / 88%) 30%, rgb(255 255 255) 60%) ,url(https://www.ccfthai.or.th/microsite/CSS/FY23/img/bk.jpg) !important;
    }
    .col, .col2 {
        grid-template-columns: 1fr 1fr;
    }
}
@media (max-width: 750px) {

    
    .contents h2 {
        text-align: center;
    }
    .foot img {
        float: right;
        width: 192%;
        transform: translate(-6%, 0%);
    }

    .col, .col2 {
        grid-template-columns: 1fr;
    }



}
@media (max-width: 600px) {
    .col h2 {
        font-size: 26px;
    }
    .col, .col2 {
        grid-template-columns: 1fr;
    }

    .col img{
        text-align: center;
    }

    .contents2 h2 {
        text-align: center;
    }
    .slidee img {
        width: 230%;
        margin-left: -19%;
    }
}

@media (max-width: 500px) {
    .slide {
        padding-top: 100px;
    }
}